Bug 18203

Summary: xorg-server reports release date as BuildDate
Product: xorg Reporter: Peter Breitenlohner <peb>
Component: Server/GeneralAssignee: Xorg Project Team <xorg-team>
Status: RESOLVED FIXED QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: medium Keywords: patch
Version: 7.4 (2008.09)   
Hardware: Other   
OS: All   
Whiteboard:
i915 platform: i915 features:
Attachments:
Description Flags
patch to prevent distribution of generated files none

Description Peter Breitenlohner 2008-10-24 04:33:03 UTC
the xorg-server-1.5.2 tarball contains several files that are (re-)generated by configure. In a VPATH build these distributed files may be used instead of the generated ones. In particular the server reports

Build Date: 10 October 2008  02:26:37PM

taken from the distributed hw/xfree86/common/xf86Build.h.

The attached patch should fix this for future releases.
Comment 1 Peter Breitenlohner 2008-10-24 04:34:33 UTC
Created attachment 19847 [details] [review]
patch to prevent distribution of generated files
Comment 2 Julien Cristau 2008-10-24 06:42:00 UTC
On Fri, Oct 24, 2008 at 04:33:04 -0700, bugzilla-daemon@freedesktop.org wrote:

> The attached patch should fix this for future releases.
> 
i fixed this 3 months ago already...
Comment 3 Peter Breitenlohner 2008-10-24 06:55:24 UTC
Maybe so in git, but certainly not in the xorg-server-1.5.2 tarball as of 2008-10-10
Comment 4 Julien Cristau 2008-10-24 07:00:29 UTC
> --- Comment #3 from Peter Breitenlohner <peb@mppmu.mpg.de>  2008-10-24 06:55:24 PST ---
> Maybe so in git, but certainly not in the xorg-server-1.5.2 tarball as of
> 2008-10-10

right, the fix is in git master, not 1.5. closing again.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.